import { TransactionLineBaseComponent } from '../core/base/transaction-line-base.component';
export declare class TransactionLineVatButtonComponent extends TransactionLineBaseComponent {
    inputLabel: boolean;
    showClass(): boolean;
    showDialogVat: boolean;
    handleShowDialog(event: MouseEvent): Promise<void>;
    protected transactionInfoSet(): void;
    protected transactionLineSet(): void;
    protected visibilitySet(): void;
    private _getVatDescription;
}
